Submit Payment Request

Submit a disbursement payment request. This will lock in a rate and await approval.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Amount in USD or local currency

The amount field and the localAmount field are interchangeable in the request body. Either one is required, but not both. Specifying the USD amount will then calculate an amount in local currency based on the partner rates, while specifying a localAmount in the local currency will fix this amount for the user while calculating the USD amount from the rates. The convertedAmount in the response body indicates the amount in local currency that has either been fixed or calculated.

🚧

Ten Minute Expiry

Payment requests have ten minutes to be accepted or will automatically mark itself as expired.

📘

Force Accept

Setting forceAccept field to true allows you to skip the accept payment request and your payment would start processing once you submit payment request.

Body Params
string
required

The identifier of the specific channel to execute payment through

string
required

Represents a unique id for the transaction from your end

int32

Amount in USD to transact

int32

The amount in local currency to transact

string
required

The reason for the withdrawal

sender
object
required

Sender KYC details

destination
object
required

Destination and Recipient Details

boolean
Defaults to false

Specify whether or not you want to skip the accept payment step

string
enum
Defaults to retail

Determines the type of validation that is performed on the sender. If value is institution, the sender request object will be validated to ensure it includes businessName and businessId parameter. If the value is retail, the sender request object will be validated to ensure it includes name, phone, email, country, address, dob, idNumber and idType.

Allowed:
string

Unique identifier for the customer

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json